Subject: procps: w does not query elogind for sessions

From: Andrew Bower <[email-masked]>
Date: Sun, 27 Jul 2025 23:47:26 +0100

Package: procps
Version: 2:4.0.4-8devuan1
Severity: grave

Dear Maintainer,

Running 'w' returns only sessions that are lucky enough still to be recorded in
utmp, and not any sessions that only elogind knows about.

Unfortunately with so many components removing utmp support (prematurely, in my
opinion), this makes the tool next to useless in Excalibur. This includes
virtual console logins recorded by 'login'.

I have reported a related issue against Debian at
https://bugs.debian.org/1108549 which relates to elogind not being queried if
sd_booted() returns false, despite sd_get_sessions() being capable of returning
the results needed (coreutils 'who' does this) but have seen no interest in the
bug since I raised it a month ago.

Things may be different in the Devuan fork because I see it is not linked with
libsystemd - which means it would _never_ report such sessions successfully.

Thanks!

-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux 6 (excalibur/ceres)
Release:	6
Codename:	excalibur ceres
Architecture: x86_64

Kernel: Linux 6.12.37+deb13-amd64 (SMP w/4 CPU threads; PREEMPT)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8), LANGUAGE=en_GB:en
Shell: /bin/sh linked to /usr/bin/dash
Init: runit (via /run/runit.stopit)
LSM: AppArmor: enabled

Versions of packages procps depends on:
ii  init-system-helpers  1.68devuan1
ii  libc6                2.41-9
ii  libncursesw6         6.5+20250216-2
ii  libproc2-0           2:4.0.4-8devuan1
ii  libtinfo6            6.5+20250216-2

Versions of packages procps recommends:
ii  linux-sysctl-defaults  4.12
ii  psmisc                 23.7-2

procps suggests no packages.

-- no debconf information